diff --git a/doc/src/sgml/mvcc.sgml b/doc/src/sgml/mvcc.sgml
index 341fea524a..137f0ab204 100644
--- a/doc/src/sgml/mvcc.sgml
+++ b/doc/src/sgml/mvcc.sgml
@@ -196,7 +196,7 @@
          Read uncommitted
         </entry>
         <entry>
-         Allowed, but not in PG
+         Not possible in PG
         </entry>
         <entry>
          Possible
@@ -238,7 +238,7 @@
          Not possible
         </entry>
         <entry>
-         Allowed, but not in PG
+         Not possible in PG
         </entry>
         <entry>
          Possible
@@ -266,6 +266,12 @@
      </tgroup>
     </table>
 
+   <para>
+    Two entries in the above table are qualified by "in PG".  For these,
+    the SQL standard deems the corresponding anomaly possible at that
+    isolation level but permits implementations to make it impossible.
+   </para>
+
    <para>
     In <productname>PostgreSQL</productname>, you can request any of
     the four standard transaction isolation levels, but internally only
@@ -277,9 +283,10 @@
 
    <para>
     The table also shows that PostgreSQL's Repeatable Read implementation
-    does not allow phantom reads.  Stricter behavior is permitted by the
-    SQL standard: the four isolation levels only define which phenomena
-    must not happen, not which phenomena <emphasis>must</emphasis> happen.
+    does not allow SQL stardard permissible phantom reads.
+   </para>
+
+   <para>
     The behavior of the available isolation levels is detailed in the
     following subsections.
    </para>
